<?
	//Скрипт должен возвращять время в секундах когда умрёт сесия
	//Скрипт работающий как AJAX в связке с javascript функцией 1 после загрузки выдать наименование сессионной переменной потом проверять на существование соответствующего файла в базе данных
	//Проверить обновляется ли файлик сесии
	//http://leopard.in.ua/2008/09/20/otslezhivanie-istecheniya-sroka-dejstviya-sessij/
	//session_save_path('C:\ses');

	require_once("../include/tools.php");

	$host = $_SERVER['HTTP_HOST'];
	$host = '.'.cutAfterLast($host,'.',2);
	ini_set('session.cookie_domain', $host);

	error_reporting(E_ALL);

	if(isset($_GET['fn'])) $fn=$_GET['fn']; else $fn='';

	if($fn=='0')
	{
		echo session_name();
		exit;
	}else
	if($fn=='1')
	{
		@session_start();
		echo session_id();
		exit;
	}else
	if($fn=='2') //Вернуть время до смерти сесии в секундах
	{
		if(isset($_GET[session_name()])) $id=$_GET[session_name()]; else exit;
		
		$sessionfile = ini_get('session.save_path') . DIRECTORY_SEPARATOR . 'sess_'.$id;
		if ( file_exists($sessionfile) ) 
		{
			//echo ini_get('session.gc_maxlifetime') - (time() - filemtime($sessionfile));
			echo '1'; //Чтоб только если файл удалился
			
		}else echo '-1';
		exit;
	}else
	{
		echo 'error';
	}
